<?php

/**
 * @file
 * Contains \Drupal\hamlets\Plugin\DevelGenerate\CESUserGenerate.
 */

namespace Drupal\ces\Plugin\DevelGenerate;

/**
 * Provides a UserDevelGenerate plugin.
 *
 * @DevelGenerate(
 *   id = "ces_user",
 *   label = @Translation("Users friendly"),
 *   description = @Translation("Generate 26 users with real names."),
 *   url = "user/friendly",
 *   permission = "administer devel_generate",
 *   settings = {
 *     "kill" = FALSE,
 *     "pass" = ""
 *   }
 * )
 */
class CESUserGenerate extends \Drupal\cforge\Plugin\DevelGenerate\CforgeUserGenerate {

  function populateUser($account) {
    parent::populateUser($account);
    list($firstname, $lastname)  = $this->demoDataClass->getName();
    $mail = $firstname .'@example.com';
    $account->setEmail($mail);
    $account->init->value = $mail;
    $account->name->value = $firstname .' '.$lastname;
    $account->firstname->value = $firstname;
    $account->lastname->value = $lastname;
    $account->present->value = 1;
  }
}
