<?php

/**
 * @file
 * Contains \Drupal\cforge\DemoUserDataEn.
 */

namespace Drupal\cforge;

class DemoUserDataEn extends DemoUserData{

  static $firstNames = ['Alice', 'Barry', 'Cherry', 'Darius', 'Ebeneezer', 'Fanny', 'Garry', 'Harry', 'Irma', 'Jerry', 'Kerry', 'Larry', 'Murray', 'Nancy', 'Oliver', 'Perry', 'Quentin', 'Ruby', 'Sylvester', 'Terry', 'Ursula', 'Veronica', 'William', 'Xanadu', 'Yuri', 'Zoe'];
  static $lastNames = ['Archer', 'Baker', 'Cooper', 'Draper', 'Earl', 'Fisher', 'Gardener', 'Hooper', 'Indignado', 'Joyner', 'Keeler', 'Laker', 'Miller', 'Nutter', 'Oliver', 'Parker', 'Quaker', 'Rider', 'Saddler', 'Turner', 'Usher', 'Vicker', 'Wagner', 'X', 'Yardley', 'Zapatero'];

  static $streets = [
    'Aberdeen Avenue',
    'Birmingham Boulevard',
    'Dunstable Drive',
    'Harwich Highway',
    'London lane',
    'Paisley Park',
    'Rochester Road',
    'Sheffield Street',
    'Tavistock Track',
    'Warminster Way'
  ];

  static $hoods = [
    'Apple Green',
    'Black Hills',
    'Cow Common',
    'Ditchwater',
    'Elephantine'
  ];

  static function vocabs() {
    return [
      'English LETS' => [
        '#children' => FALSE,
        'Arts & Culture' => ['tango', 'show', 'storytelling', 'clown', 'improvis', 'cinema', 'expression', 'flyer', 'brochure', 'culptures', 'photographer', 'album', 'book', 'culture', 'novel', 'voice', 'reading', 'poetry', 'books', 'writing', 'drawing', 'photog'],
        'Business Services & Clerical' => ['writing', 'papers', 'clarif', 'admini', 'council', 'office', 'classif', 'correspond', 'photocop', 'mail', 'marketing', 'publicity', 'spelling', 'correction', 'syntax', 'translat', 'networking', 'content', 'reorgani', 'minutes', 'proofread', 'spelling'],
        'Clothing' => ['jeans', 'skirts', 'dress', 'sock', 'purse', 'apron', 'dress', 'watches', 'sandals', 'shirt', 'shoes', 'shirt', 'jacket', 'handbags', 'coat', 'jacket', 'waist', 'jacket', 'glove'],
        'Computing & Electronics' => ['comput', 'disc', 'disk', 'music', 'download', 'digital', 'office', 'management', 'FileMaker', 'given', 'digital', 'electronic', 'internet', 'email', 'camera', 'phone', 'software', 'Mac', 'audio', 'digitising', 'Excel', 'Quickbooks', 'Photoshop', 'mobile', 'MP3', 'movie', 'radio', 'wireless', 'wi-fi', 'phone', 'CD', 'DVD'],
        'Education & Language' => ['German', 'Italian', 'language', 'training', 'lessons', 'French', 'school', 'tutor'],
        'Food' => ['Bread', 'Dough', 'mixer', 'kitchen', 'stove', 'fungus', 'vinegar', 'egg', 'salad', 'organic', 'honey', 'rosemary', 'tart', 'sweet', 'biscuit', 'thyme', 'syrup', 'dessert', 'seed', 'pesto', 'vegetable', 'couscous', 'semolina', 'meal', 'glass', 'casserole', 'dish', 'soup', 'pastry', 'mint', 'sauce', 'caviar', 'elderberry', 'drink', 'grinder', 'jelly', 'jam', 'juice', 'drink', 'recipe', 'pie', 'veg'],
        'Health & Wellness' => ['beauty', 'childre', 'haircut', 'scrub', 'spirit', 'massage', 'therapy', 'shaman', 'healer', 'acne', 'Reiki', 'meditation', 'health', 'genealogical', 'disability', 'babysitting', 'aloe', 'fascia', 'acupuncture', 'therapy', 'osteopathy', 'homeopathic', 'listening', 'difficulties', 'muscle', 'dyeing', 'removal', 'migraine', 'sensory', 'stress', 'cabinet', 'gymnastic'],
        'House & garden' => ['carpet', 'balcony', 'decor', 'lawn', 'mower', 'ironing', 'Garland', 'Yucca', 'porcelain', 'fridge', 'stove', 'washer', 'mill', 'corkscrew', 'carpet', 'cleaning', 'papyrus', 'ceiling', 'chair', 'ground', 'sofa', 'pillow', 'library', 'chairs', 'cleaning', 'glass', 'vacuum', 'cleaner', 'freezer', 'shelves', 'interior', 'soil', 'water', 'closet', 'garden', 'household', 'cleaning'],
        'Sports & Leisure' => ['scuba', 'walking', 'rental', 'punch', 'rucksack', 'GPS', 'sailboat', 'overnight', 'hiking', 'snowshoeing', 'canoe', 'rental', 'walking', 'ski', 'snowboard', 'snowshoe', 'hiking', 'trip', 'discover', 'vacancy'],
        'Skills & DIY' => ['embroidery', 'saw', 'sanding', 'lacquer', 'varnish', 'electric', 'adjustment', 'arrangement', 'floor', 'decoration', 'makeover', 'necklace', 'jewelry', 'semi-precious', 'bracelet', 'loops', 'sculpture', 'watercolor', 'canvas', 'acrylic', 'floral', 'fantasy', 'craft', 'beads', 'repair', 'fabric', 'paint', 'tool', 'renovation', 'work', 'Carpenter', 'roof', 'heating'],
        'Transport' => ['bicycle', 'bike', 'helmet', 'transport', 'airport', 'bike', 'scooter', 'bicycle', 'van', 'minibus', 'transport', 'moving', 'trailer', 'ticket'],
        'Miscellaneous' => []
      ]
    ];
  }
}
