<?php

/**
 * @file
 * Contains \Drupal\cforge\DemoUserDataFr.
 */

namespace Drupal\cforge;

class DemoUserDataFr extends DemoUserData{

  static $firstNames = ['Alice', 'Bernard', 'Catherine', 'Dominique', 'Emmanuel', 'Fanny', 'Grégoire', 'Henry', 'Isabelle', 'Jean', 'Kim', 'Louis', 'Marianne', 'Nancy', 'Olivier', 'Pierre', 'Quentin', 'Renaud', 'Sylvain', 'Thierry', 'Ursula', 'Véronique', 'William', 'Xavier', 'Yolande', 'Zoe'];
  static $lastNames = ['Ansiaux', 'Boulanger', 'Colin', 'Dufour', 'Enchemin', 'Ferrand', 'Gaillard', 'Humbert', 'Istace', 'Joubert', 'Keeler', 'Lacroix', 'Marchand', 'Normand', 'Oliver', 'Parmentier', 'Quinet', 'Rousseau', 'Sauvage', 'Tailleur', 'Ursullan', 'Valenduc', 'Wattiaux', 'Xhonneux', 'Yernaux', 'Zapatero'];

  static $streets =  [
    'Avenue du Prieuré',
    'Boulevard du Prince',
    'Allée des Noyers',
    'Grand Rue',
    'Chemin des Tanneurs',
    'Parc des Etangs',
    'Rue du Moulin',
    'Route de Belleroche',
    'Impasse des Pinsons',
    'Rue des Panoramas'
  ];

  static $hoods = [
    'La Roche',
    'Baronville',
    'Moustiers',
    'Templeuve',
    'Aisemont'
  ];

  static function vocabs() {
    return [
      'SEL Francais' => [
        '#children' => FALSE,
        'Administration' => ['restructuration', 'réorganisation', 'dactylographie', 'feuille', 'traduction', 'secrétariat', 'syntaxe', 'marketing', 'correction', 'orthographe', 'publicité', 'mail', 'photocop', 'correspondance', 'classement', 'bureau', 'conseil', 'administrative', 'clarification', 'Rédaction', 'paperasses', 'réseau', 'contenu', 'procès-verbaux', 'orthographe', 'correction', 'Relecture'],
        'Alimentation' => ['herbier', 'Pâte', 'mixer', 'Pain', 'Cuisine', 'champignon', 'cuisinière', 'vinaigre', 'Orgonite', 'aspergettes', 'salade', 'oeuf', 'miel', 'bio', 'betty bossy', 'ravioli', 'Tarte', 'Tapenade', 'romarin', 'Laurier', 'bonbon', 'biscuit', 'Desserts', 'graine', 'Thym', 'Sirop', 'pesto', 'légume', 'semoule', 'couscous', 'levain', 'épeautre', 'germoir', 'Repas', 'Tisane', 'verres', 'casserole', 'Soupe', 'Plat', 'Feuilleté', 'menthe', 'courgeépices', 'raves', 'compote', 'râppe', 'boisson', 'Caviar', 'sureau', 'Hachoir', 'confiture', 'vera', 'Gelée', 'boisson', 'Jus', 'recette', 'pâté', 'végét', 'gomasio', 'Liqu'],
        'Artisanat & Bricolage' => ['scie', 'ponçeuse', 'broderies', 'ponçage', 'Réglage', 'laque', 'vernis', 'électrique', 'parquet', 'arrangement', 'décoration', 'collier', 'relooking', 'bijoux', 'pierre', 'semi-précieuse', 'bracelet', 'aquarelle', 'catels', 'boucles', 'sculpture', 'Toile', 'acrylique', 'Floraux', 'fantaisie', 'bricolage', 'réparation', 'perles', 'peinture', 'art', 'Tissu', 'perçuese', 'outil', 'petits travaux', 'Menuisier', 'etau', 'rénovation', 'montage', 'revêtement', 'toiture', 'fumisterie', 'chauffage'],
        'Arts & Culture' => ['spectacle', 'tango', 'clown', 'conte', 'mprovisation', 'cinéma', 'expression', 'dépliant', 'flyer', 'brochure', 'culpture', 'photographe', 'album', 'alligraphie', 'fusain', 'livre', 'Couture', 'roman', 'livres', 'poesie', 'voix', 'Lecture', 'dessin', 'ecriture', 'invention', 'photographie'],
        'Cours & Langues' => ['allemand', 'anglais', 'devoir', 'langue', 'italien', 'formation', 'eçons', 'cours', 'Répétiteur', 'Soutien scolaire', 'français', 'animation', 'nitiation'],
        'Informatique & Eléctro' => ['nformatique', 'télécharger', 'disco', 'compile', 'musique', 'bureautique', 'numérique', 'gestion', 'web', 'digital', 'FileMaker', 'donnée', 'nternet', 'email', 'électronique', 'ordinateur', 'caméra', 'téléphone', 'Mac', 'logiciels', 'software', 'audio', 'numériser', 'diapositive', 'Excel', 'Word', 'Quickbooks', 'MP3', 'enregistrement', 'hotoshop', 'natel', 'lecteur', 'film', 'radio', 'haut-parleur', 'wireless', 'wi-fi', 'CD', 'DVD', 'phone'],
        'Maison & Jardin' => ['tapis', 'biblioth', 'balcon', 'sommier', 'décor', 'gazon', 'tondeuse', 'repasser', 'Guirlande', 'Yucca', 'porcelaine', 'Frigo', 'vaisselle', 'poêle', 'poivrier', 'moulin', 'hache', 'tire-bouchon', 'moquette', 'tapis', 'nettoyage', 'papyrus', 'plafond', 'mur', 'fauteuil', 'duvet', 'drap', 'canapé', 'terre', 'biblio', 'oreiller', 'vitre', 'aspirateur', 'Ménage', 'chaises', 'nettoyeur', 'plante', 'Étagères', 'matelas', 'parquet', 'congélateur', 'aménagement', 'intérieur', 'sol', 'boiserie', 'meuble', 'armoire', 'nappe', 'jardin', 'ménage', 'drap', 'nettoyage'],
        'Mobilité' => ['vélo', 'bike', 'transport', 'casque', 'CFF', 'Voiturage', 'aéroport', 'moto', 'scooter', 'bicycle', 'camion', 'van', 'Minibus', 'trajets', 'campagne', 'transport', 'voiture', 'velo', 'déménagement', 'remorque'],
        'Santé & Soins' => ['viscéral', 'beauté', 'soignant', 'Garde d\'enfants', 'haptonomie', 'Kinésio', 'cupress', 'coupe de cheveux', 'masque', 'sacrée', 'gommage', 'spirit', 'massage', 'traitement', 'coachin', 'guériss', 'shaman', 'acnée', 'Huile', 'Reiki', 'méditation', 'santé', 'généalog', 'handicap', 'baby-sitting', 'aloe', 'fascia', 'thérapie', 'Soins', 'Acupuncture', 'Ostéopathie', 'homéopathiques', 'écoute', 'Difficultés', 'musculaire', 'teinture', 'épilation', 'apprivoiser', 'migraine', 'sensoriel', 'stress', 'Cabinet', 'gymnasti'],
        'Sports & Evasion' => ['scuba', 'location', 'séjour', 'promenade', 'sac de frappe', 'loger', 'GPS', 'voilier', 'raquette', 'Canoë', 'nuitée', 'randonnée', 'location', ' tente', 'marche', 'Löwa', 'ski', 'snowboard', 'balade', 'Tenue', 'plongée', 'raquettes', 'randonnées', 'ballade', 'découvert', 'voyage', 'vacance', 'sortie'],
        'Vêtements plus' => ['vêtement', 'chaussette', 'Jeans', 'jupon', 'robe', 'sac à main', 'Tablier', 'sandales', 'montres', 'habits', 'chaussure', 'pantalon', 'shirt', 'chemise', 'Sacsà main', 'doudoune', 'blouse', 'veste', 'ceinture', 'manteau', 'gant', 'veston', 'gilet', 'chausettes', 'bonnet', 'chapeau'],
        'Divers' => [],
      ],
      'SEL Belgique, (2 Tier]' => [
        '#children' => TRUE,
        'A Ménage / Entretien maison' => [
          '#children' => FALSE,
          "Nettoyage/ produits d'entretien" => [],
          'Lessive, repassage' => [],
          'Couture, tricot' => [],
          'Rangement' => [],
          'Ménage - Divers' => []
        ],
        'B Travaux maisons' => [
          '#children' => FALSE,
          'Travaux lourds' => [],
          'Petits travaux divers' => [],
          'Peinture, tapissage, décoration' => [],
          'Electricité' => [],
          'Plomberie, chauffage' => [],
          'Carrelage, plafonnage, maçonnerie' => [],
          'Menuiserie, planchers, meubles' => [],
          "Isolation, économies d'énergie" => [],
          "Travaux - Divers" => [],
        ],
        'C Enfants / Ados' => [
          '#children' => FALSE,
          'Grossesse et bébé' => [],
          'Baby sitting' => [],
          'Stages, animations créatives' => [],
          'Aide scolaire' => [],
          'Jeux et jouets' => [],
          'Enfants - Divers' => [],
        ],
        'D Alimentation / Gastronomie' => [
          '#children' => FALSE,
          'Nettoyage fruits et légumes' => [],
          'Boissons, soupes, sauces' => [],
          'Plats' => [],
          'Desserts' => [],
          "Tables d'hôtes" => [],
          'Cours, conseils, recettes' => [],
          'Alimentation - Divers' => []
        ],
        'E Santé / Bien-être / Accompagnement' => [
          '#children' => FALSE,
          'Coiffure, esthétique visage et corps' => [],
          'Massage, thérapies, produits naturels' => [],
          'Personnes âgées, malades, immobilisées' => [],
          "Accompagnement, coaching et conseils 'psy'" => [],
          'Santé - Divers' => []
        ],
        'F Administration / Gestion' => [
          '#children' => FALSE,
          'Classement de papiers, de dossiers' => [],
          'Dactylographie, mise en page' => [],
          'Courriers, démarches administratives' => [],
          'Assurances, questions juridiques' => [],
          'Fiscalité, pension, chômage' => [],
          'Administration - Divers' => [],
        ],
        'G Cours / Formations / Conseils' => [
          '#children' => FALSE,
          'Langues, conversation, traduction' => [],
          'Ecriture, rédaction, orthographe' => [],
          "Recherche d'emploi" => [],
          'Gestion et animation de groupes' => [],
          'Cours - Divers' => []
        ],
        'H Jardin / Animaux / Nature' => [
          '#children' => FALSE,
          'Jardin : conception, entretien, conseils' => [],
          'Culture potagère, vergers' => [],
          'Récolte de fruits, légumes, plantes' => [],
          "Taille d'arbres et arbustes" => [],
          'Animaux (domestiques -élevage]' => [],
          'Biodiversité, nichoirs, découverte nature' => [],
          'Engrais, semences, plants, produits divers' => [],
          'Jardin et animaux - Divers' => []
        ],
        'I Arts / Culture / Sports & loisirs' => [
          '#children' => FALSE,
          'Artisanat, peinture, dessin, sculpture' => [],
          'Musique, chant, danse' => [],
          'Photo, vidéo, cinema' => [],
          'Animations, spectacles' => [],
          'Fêtes : conseils, organisation, aide' => [],
          'Promenades, excursions' => [],
          "Jeux (de société, d'extérieur]" => [],
          'Sports' => [],
          'Culture et sport - Divers' => [],
        ],
        'J Transports / Voyages /Hébergement' => [
          '#children' => FALSE,
          'Courses' => [],
          'Covoiturage et transport' => [],
          'Déménagement' => [],
          'Auto-moto-vélo' => [],
          'Voyages, randonnées' => [],
          'Hébergement, échange maisons' => [],
          'Gardiennage maison' => [],
          'Transport - Divers' => []
        ],
        'K Informatique /Électroménager' => [
          '#children' => FALSE,
          'Dépannage informatique' => [],
          'Réparation électroménager' => [],
          'Formations Internet / email' => [],
          'Formations logiciels' => [],
          'Informatique, électroménager - Divers' => [],
        ],
        'Z Divers (non classées]' => [
          '#children' => FALSE,
        ],
      ]
    ];
  }

}
