<?php
/**
 * @file
 * Contains Drupal\cforge\EventSubscriber\CforgeSubscriber
 */

namespace Drupal\cforge\EventSubscriber;

use Symfony\Component\HttpFoundation\RedirectResponse;
use Symfony\Component\HttpKernel\KernelEvents;
use Symfony\Component\HttpKernel\Event\GetResponseEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use Symfony\Component\Routing\Exception\RouteNotFoundException;

class CforgeSubscriber implements EventSubscriberInterface {

  public function cforgeFront(GetResponseEvent $event) {
    if (\Drupal::currentUser()->isAuthenticated()) {
      if ($event->getRequest()->getpathinfo() == '/') {
        $response = new RedirectResponse(\Drupal::config('cforge.settings')->get('member_frontpage'));
        $event->setResponse($response);
      }
    }
    else{
      $path = trim($event->getRequest()->getpathinfo(), '/');
      //if there was a trailing slash filter the empty part
      $parts = array_filter(explode('/', $path));
      if(count($parts) > 5) {
        throw new RouteNotFoundException('Access denied');
      }
    }
  }

  /**
   * {@inheritdoc}
   */
  static function getSubscribedEvents() {
    $events[KernelEvents::REQUEST][] = array('cforgeFront');
    return $events;
  }

}
